Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CORBA::WString_var Class Reference

CORBA::WString var class. More...

`#include <CORBA_String.h>`

List of all members.

## Public Member Functions
| WString_var (void)
| default constructor.
| WString_var (CORBA::WChar *p)
| constructor, owns p.
| WString_var (const CORBA::WChar *p)
| constructor. Makes a copy of p.
| WString_var (const WString_var &s)
| copy constructor.
| ~WString_var (void)
| destructor.
WString_var & | operator= (CORBA::WChar *p)
| assignment operator.
WString_var & | operator= (const CORBA::WChar *p)
| assignment to a const char*. Makes a copy.
WString_var & | operator= (const WString_var &s)
| assignment operator.
| operator CORBA::WChar *& ()
| access and modify.
| operator const CORBA::WChar * () const
| only read privileges.
CORBA::WChar & | operator[] (CORBA::ULong slot)
| allows access and modification using an slot.
CORBA::WChar | operator[] (CORBA::ULong slot) const
| allows only accessing thru an slot.
const CORBA::WChar * | in (void) const
| for in parameter.
CORBA::WChar *& | inout (void)
| for inout parameter.
CORBA::WChar *& | out (void)
| for out parameter.
CORBA::WChar * | _retn (void)
| for string of return type.
CORBA::WChar * | ptr (void)
| TAO extension.
## Private Attributes
CORBA::WChar * | ptr_
| instance.

## Detailed Description

CORBA::WString var class.

Provides automatic deallocation of storage for wide strings.

## Constructor & Destructor Documentation

ACE_INLINE CORBA::WString_var::WString_var | ( | void |  | ) |

| default constructor.

CORBA::WString_var::WString_var | ( | CORBA::WChar * | p | ) |

| constructor, owns p.

ACE_INLINE CORBA::WString_var::WString_var | ( | const CORBA::WChar * | p | ) |

| constructor. Makes a copy of p.

CORBA::WString_var::WString_var | ( | const WString_var & | s | ) |

| copy constructor.

CORBA::WString_var::~WString_var | ( | void |  | ) |

| destructor.

## Member Function Documentation

ACE_INLINE CORBA::WChar * CORBA::WString_var::_retn | ( | void |  | ) |

| for string of return type.

ACE_INLINE const CORBA::WChar * CORBA::WString_var::in | ( | void |  | ) | const

| for in parameter.

ACE_INLINE CORBA::WChar *& CORBA::WString_var::inout | ( | void |  | ) |

| for inout parameter.

ACE_INLINE CORBA::WString_var::operator const CORBA::WChar * | ( |  | ) | const

| only read privileges.

ACE_INLINE CORBA::WString_var::operator CORBA::WChar *& | ( |  | ) |

| access and modify.

CORBA::WString_var & CORBA::WString_var::operator= | ( | const WString_var & | s | ) |

| assignment operator.

CORBA::WString_var & CORBA::WString_var::operator= | ( | const CORBA::WChar * | p | ) |

| assignment to a const char*. Makes a copy.

CORBA::WString_var & CORBA::WString_var::operator= | ( | CORBA::WChar * | p | ) |

| assignment operator.

ACE_INLINE CORBA::WChar CORBA::WString_var::operator[] | ( | CORBA::ULong | slot | ) | const

| allows only accessing thru an slot.

ACE_INLINE CORBA::WChar & CORBA::WString_var::operator[] | ( | CORBA::ULong | slot | ) |

| allows access and modification using an slot.

ACE_INLINE CORBA::WChar *& CORBA::WString_var::out | ( | void |  | ) |

| for out parameter.

ACE_INLINE CORBA::WChar * CORBA::WString_var::ptr | ( | void |  | ) |

| TAO extension.

## Member Data Documentation

CORBA::WChar* CORBA::WString_var::ptr_`[private]`

| instance.

The documentation for this class was generated from the following files:

- CORBA_String.h
- CORBA_String.cpp
- CORBA_String.inl